Bug 820124 - RFE: Limit raid-check cron to a maximum number of concurrent checks
RFE: Limit raid-check cron to a maximum number of concurrent checks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 04:39 EDT by Jes Sorensen
Modified: 2012-07-11 19:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 19:53:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to add MAXCONCURRENT variable to raid-check (2.48 KB, patch)
2012-05-09 04:43 EDT, Jes Sorensen
no flags Details | Diff

  None (edit)
Description Jes Sorensen 2012-05-09 04:39:46 EDT
+++ This bug was initially created as a clone of Bug #819943 +++

Created attachment 583043 [details]
Patch to add MAXCONCURRENT

Description of problem:

I've got some disk servers with 4 9TB radi5 arrays.  raid-check puts too much
of a load on them.  The attached patch (to mdadm-3.2.2-9) allows the use of a
MAXCONCURENT option that limits the number of concurrently checked arrays.

This is a quick port of the EL5 version.  Will test it out this weekend.

Version-Release number of selected component (if applicable):
mdadm-3.2.2-9
Comment 1 Jes Sorensen 2012-05-09 04:43:05 EDT
Created attachment 583189 [details]
Patch to add MAXCONCURRENT variable to raid-check
Comment 2 Fedora Update System 2012-06-26 03:15:36 EDT
mdadm-3.2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc17
Comment 3 Fedora Update System 2012-06-26 03:22:23 EDT
mdadm-3.2.5-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-3.fc16
Comment 4 Fedora Update System 2012-06-26 17:27:32 EDT
Package mdadm-3.2.5-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.5-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9931/mdadm-3.2.5-3.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-11 19:53:37 EDT
mdadm-3.2.5-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-11 19:57:11 EDT
mdadm-3.2.5-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.